Categories:
  - Writing
License: GPL-3.0-only
AuthorName: Adil Hanney
SourceCode: https://github.com/adil192/saber
IssueTracker: https://github.com/adil192/saber/issues
Translation: https://github.com/adil192/saber#translating
Donate: https://github.com/sponsors/adil192
Liberapay: adil192

AutoName: Saber

RepoType: git
Repo: https://github.com/adil192/saber.git

Builds:
  - versionName: 0.3.12
    versionCode: 312
    commit: 9a08d5c029a49aee292624b02ea27cf5afb50ded
    submodules: true
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    rm:
      - .github
      - assets_raw
      - flatpak
      - installers
      - ios
      - linux
      - macos
      - snap
      - web
      - windows
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
    scandelete:
      - submodules/flutter
    build:
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter packages pub get
      - submodules/flutter/bin/flutter build apk --flavor fdroid  -t lib/main_fdroid.dart

  - versionName: 0.3.13
    versionCode: 313
    commit: 79baf9c025544bb12f36047c31669db304eb2281
    submodules: true
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    rm:
      - .github
      - assets_raw
      - flatpak
      - installers
      - ios
      - linux
      - macos
      - snap
      - web
      - windows
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
    scandelete:
      - submodules/flutter
    build:
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter packages pub get
      - submodules/flutter/bin/flutter build apk --flavor fdroid  -t lib/main_fdroid.dart

  - versionName: 0.3.14
    versionCode: 314
    commit: 73fec2ecb4cdc9b3ed8765f4fa64d7be550e1b9f
    submodules: true
    output: build/app/outputs/flutter-apk/app-fdroid-release.apk
    rm:
      - .github
      - assets_raw
      - flatpak
      - installers
      - ios
      - linux
      - macos
      - snap
      - web
      - windows
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
    scandelete:
      - submodules/flutter
    build:
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter packages pub get
      - submodules/flutter/bin/flutter build apk --flavor fdroid  -t lib/main_fdroid.dart

  - versionName: 0.3.15
    versionCode: 315
    commit: v0.3.15
    submodules: true
    output: build/app/outputs/flutter-apk/app-release.apk
    rm:
      - .github
      - assets_raw
      - flatpak
      - installers
      - ios
      - linux
      - macos
      - snap
      - web
      - windows
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
    scandelete:
      - submodules/flutter
    build:
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter packages pub get
      - submodules/flutter/bin/flutter build apk  -t lib/main_fdroid.dart
    antifeatures:
      - NonFreeNet

  - versionName: 0.3.16
    versionCode: 316
    commit: 6830eb7d1cbb16cab2021fe26862624cf9a915cf
    submodules: true
    output: build/app/outputs/flutter-apk/app-release.apk
    rm:
      - .github
      - assets_raw
      - flatpak
      - installers
      - ios
      - linux
      - macos
      - snap
      - web
      - windows
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
    scandelete:
      - submodules/flutter
    build:
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter packages pub get
      - submodules/flutter/bin/flutter build apk  -t lib/main_fdroid.dart
    antifeatures:
      - NonFreeNet

  - versionName: 0.4.0
    versionCode: 400
    commit: c683b48e90f4a103afc4a3f6bbc1439ffc919064
    submodules: true
    output: build/app/outputs/flutter-apk/app-release.apk
    rm:
      - .github
      - assets_raw
      - flatpak
      - installers
      - ios
      - linux
      - macos
      - snap
      - web
      - windows
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
    scandelete:
      - submodules/flutter
    build:
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter packages pub get
      - submodules/flutter/bin/flutter build apk  -t lib/main_fdroid.dart
    antifeatures:
      - NonFreeNet

  - versionName: 0.4.1
    versionCode: 401
    commit: 0204d7bc1f60c5e519f0a3821f2331256bf34cce
    submodules: true
    output: build/app/outputs/flutter-apk/app-release.apk
    rm:
      - .github
      - assets_raw
      - flatpak
      - installers
      - ios
      - linux
      - macos
      - snap
      - web
      - windows
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
    scandelete:
      - submodules/flutter
    build:
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter packages pub get
      - submodules/flutter/bin/flutter build apk  -t lib/main_fdroid.dart
    antifeatures:
      - NonFreeNet

  - versionName: 0.4.2
    versionCode: 402
    commit: 684083e6d131fa6f1f6099dd096b44ce5dbb4f31
    submodules: true
    output: build/app/outputs/flutter-apk/app-release.apk
    rm:
      - .github
      - assets_raw
      - flatpak
      - installers
      - ios
      - linux
      - macos
      - snap
      - web
      - windows
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
    scandelete:
      - submodules/flutter
    build:
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter packages pub get
      - submodules/flutter/bin/flutter build apk  -t lib/main_fdroid.dart
    antifeatures:
      - NonFreeNet

  - versionName: 0.4.3
    versionCode: 403
    commit: 62dd251d12bd43d5705aec19ec93313478646e7f
    submodules: true
    output: build/app/outputs/flutter-apk/app-release.apk
    rm:
      - .github
      - assets_raw
      - flatpak
      - installers
      - ios
      - linux
      - macos
      - snap
      - web
      - windows
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
    scandelete:
      - submodules/flutter
    build:
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter packages pub get
      - submodules/flutter/bin/flutter build apk  -t lib/main_fdroid.dart
    antifeatures:
      - NonFreeNet

  - versionName: 0.4.4
    versionCode: 404
    commit: 5351743c68acb91c927bb8ba634ce3c05e2332e2
    submodules: true
    output: build/app/outputs/flutter-apk/app-release.apk
    rm:
      - .github
      - assets_raw
      - flatpak
      - installers
      - ios
      - linux
      - macos
      - snap
      - web
      - windows
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
    scandelete:
      - submodules/flutter
    build:
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter packages pub get
      - submodules/flutter/bin/flutter build apk  -t lib/main_fdroid.dart
    antifeatures:
      - NonFreeNet

  - versionName: 0.4.5
    versionCode: 405
    commit: b8ffa8a9fe366d53f1b47da278a2f211c7e8b71b
    submodules: true
    output: build/app/outputs/flutter-apk/app-release.apk
    rm:
      - .github
      - assets_raw
      - flatpak
      - installers
      - ios
      - linux
      - macos
      - snap
      - web
      - windows
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter pub get
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
      - submodules/flutter/bin/cache
    scandelete:
      - submodules/flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter build apk  -t lib/main_fdroid.dart
    antifeatures:
      - NonFreeNet

  - versionName: 0.4.6
    versionCode: 406
    commit: 2863f099748192fce773ecf26dbe93a903a87f55
    submodules: true
    output: build/app/outputs/flutter-apk/app-release.apk
    rm:
      - .github
      - assets_raw
      - flatpak
      - installers
      - ios
      - linux
      - macos
      - snap
      - web
      - windows
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter pub get
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
      - submodules/flutter/bin/cache
    scandelete:
      - submodules/flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter build apk  -t lib/main_fdroid.dart
    antifeatures:
      - NonFreeNet

  - versionName: 0.4.7
    versionCode: 407
    commit: 67d20cf5b918e4cab2d427bd8a0321950894b7ae
    submodules: true
    output: build/app/outputs/flutter-apk/app-release.apk
    rm:
      - .github
      - assets_raw
      - flatpak
      - installers
      - ios
      - linux
      - macos
      - snap
      - web
      - windows
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter pub get
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
      - submodules/flutter/bin/cache
    scandelete:
      - submodules/flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter build apk  -t lib/main_fdroid.dart
    antifeatures:
      - NonFreeNet

  - versionName: 0.4.8
    versionCode: 408
    commit: b79c446c1c865a23b104ff8898a94c38ff67101b
    submodules: true
    output: build/app/outputs/flutter-apk/app-release.apk
    rm:
      - .github
      - assets_raw
      - flatpak
      - installers
      - ios
      - linux
      - macos
      - snap
      - web
      - windows
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter pub get
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
      - submodules/flutter/bin/cache
    scandelete:
      - submodules/flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter build apk  -t lib/main_fdroid.dart
    antifeatures:
      - NonFreeNet

  - versionName: 0.4.9
    versionCode: 409
    commit: fc5dbb9163d8b0718c0f1023a1d55960985d34f5
    submodules: true
    output: build/app/outputs/flutter-apk/app-release.apk
    rm:
      - .github
      - assets_raw
      - flatpak
      - installers
      - ios
      - linux
      - macos
      - snap
      - web
      - windows
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter pub get
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
      - submodules/flutter/bin/cache
    scandelete:
      - submodules/flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter build apk  -t lib/main_fdroid.dart
    antifeatures:
      - NonFreeNet

  - versionName: 0.5.0
    versionCode: 500
    commit: a0aedff0e7b55d336215e9936b51278455837cb0
    submodules: true
    output: build/app/outputs/flutter-apk/app-release.apk
    rm:
      - .github
      - assets_raw
      - flatpak
      - installers
      - ios
      - linux
      - macos
      - snap
      - web
      - windows
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter pub get
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
      - submodules/flutter/bin/cache
    scandelete:
      - submodules/flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter build apk  -t lib/main_fdroid.dart
    antifeatures:
      - NonFreeNet

  - versionName: 0.5.1
    versionCode: 501
    commit: 3eea7fbde584d4861827b23a446f16086f2dbf17
    submodules: true
    output: build/app/outputs/flutter-apk/app-release.apk
    rm:
      - .github
      - assets_raw
      - flatpak
      - installers
      - ios
      - linux
      - macos
      - snap
      - web
      - windows
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter pub get
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
      - submodules/flutter/bin/cache
    scandelete:
      - submodules/flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter build apk  -t lib/main_fdroid.dart
    antifeatures:
      - NonFreeNet

  - versionName: 0.5.2
    versionCode: 502
    commit: c8f0927875d0b2a8cab263f3da8c771f46104c2f
    submodules: true
    output: build/app/outputs/flutter-apk/app-release.apk
    rm:
      - .github
      - assets_raw
      - flatpak
      - installers
      - ios
      - linux
      - macos
      - snap
      - web
      - windows
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter pub get
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
      - submodules/flutter/bin/cache
    scandelete:
      - submodules/flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter build apk  -t lib/main_fdroid.dart
    antifeatures:
      - NonFreeNet

  - versionName: 0.5.3
    versionCode: 5030
    commit: 0fde6cade2da600c4c694ffceff6bd2cfd57944b
    submodules: true
    output: build/app/outputs/flutter-apk/app-release.apk
    rm:
      - .github
      - assets_raw
      - flatpak
      - installers
      - ios
      - linux
      - macos
      - snap
      - web
      - windows
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter pub get
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
      - submodules/flutter/bin/cache
    scandelete:
      - submodules/flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter build apk  -t lib/main_fdroid.dart
    antifeatures:
      - NonFreeNet

  - versionName: 0.5.4
    versionCode: 5040
    commit: 94742434595df2776cfd8bafbeb0521d8cdcb298
    submodules: true
    output: build/app/outputs/flutter-apk/app-release.apk
    rm:
      - .github
      - assets_raw
      - flatpak
      - installers
      - ios
      - linux
      - macos
      - snap
      - web
      - windows
    prebuild:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter pub get
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
      - submodules/flutter/bin/cache
    scandelete:
      - submodules/flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter build apk  -t lib/main_fdroid.dart
    antifeatures:
      - NonFreeNet

  - versionName: 0.5.5
    versionCode: 5050
    commit: 0e6ddfb514bbcbbb34befbfaef304a15b5abfa91
    submodules: true
    output: build/app/outputs/flutter-apk/app-release.apk
    rm:
      - .github
      - assets_raw
      - flatpak
      - installers
      - ios
      - linux
      - macos
      - packages/onyxsdk_pen
      - snap
      - web
      - windows
    prebuild:
      - ./patches/remove_proprietary_dependencies.sh
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter pub get
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
      - submodules/flutter/bin/cache
    scandelete:
      - submodules/flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter build apk  -t lib/main_fdroid.dart
    antifeatures:
      - NonFreeNet

  - versionName: 0.5.6
    versionCode: 5060
    commit: 11a29f4760aa3a1e22fef12d500785dca4f34058
    submodules: true
    output: build/app/outputs/flutter-apk/app-release.apk
    rm:
      - .github
      - assets_raw
      - flatpak
      - installers
      - ios
      - linux
      - macos
      - packages/onyxsdk_pen
      - snap
      - web
      - windows
    prebuild:
      - ./patches/remove_proprietary_dependencies.sh
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter pub get
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
      - submodules/flutter/bin/cache
    scandelete:
      - submodules/flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter build apk  -t lib/main_fdroid.dart
    antifeatures:
      - NonFreeNet

  - versionName: 0.5.7
    versionCode: 5070
    commit: f631851303c11ad2fcc0411136c67f8b3b10117c
    submodules: true
    output: build/app/outputs/flutter-apk/app-release.apk
    rm:
      - .github
      - assets_raw
      - flatpak
      - installers
      - ios
      - linux
      - macos
      - packages/onyxsdk_pen
      - snap
      - web
      - windows
    prebuild:
      - ./patches/remove_proprietary_dependencies.sh
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter pub get
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
      - submodules/flutter/bin/cache
    scandelete:
      - submodules/flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter build apk  -t lib/main_fdroid.dart
    antifeatures:
      - NonFreeNet

  - versionName: 0.5.8
    versionCode: 5080
    commit: c1e028f7f23804e462059c20e515a715209cdbd5
    submodules: true
    output: build/app/outputs/flutter-apk/app-release.apk
    rm:
      - .github
      - assets_raw
      - flatpak
      - installers
      - ios
      - linux
      - macos
      - packages/onyxsdk_pen
      - snap
      - web
      - windows
    prebuild:
      - ./patches/remove_proprietary_dependencies.sh
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter pub get
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
      - submodules/flutter/bin/cache
    scandelete:
      - submodules/flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter build apk  -t lib/main_fdroid.dart
    antifeatures:
      - NonFreeNet

  - versionName: 0.6.0
    versionCode: 6000
    commit: ad8a29696f38cd7dd305ae22ddaba81e863b08dc
    submodules: true
    output: build/app/outputs/flutter-apk/app-release.apk
    rm:
      - .github
      - assets_raw
      - flatpak
      - installers
      - ios
      - linux
      - macos
      - packages/onyxsdk_pen
      - snap
      - web
      - windows
    prebuild:
      - ./patches/remove_proprietary_dependencies.sh
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter pub get
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
      - submodules/flutter/bin/cache
    scandelete:
      - submodules/flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter build apk  -t lib/main_fdroid.dart
    antifeatures:
      - NonFreeNet

  - versionName: 0.7.0
    versionCode: 7000
    commit: 0ab4627c297d18b53a5eba382f2b69c9f5616180
    submodules: true
    output: build/app/outputs/flutter-apk/app-release.apk
    rm:
      - .github
      - assets_raw
      - flatpak
      - installers
      - ios
      - linux
      - macos
      - packages/onyxsdk_pen
      - snap
      - web
      - windows
    prebuild:
      - ./patches/remove_proprietary_dependencies.sh
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter pub get
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
      - submodules/flutter/bin/cache
    scandelete:
      - submodules/flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter build apk  -t lib/main_fdroid.dart
    antifeatures:
      - NonFreeNet

  - versionName: 0.8.0
    versionCode: 8000
    commit: e646ff2e023391df78d20582f19af74dc92f77be
    submodules: true
    output: build/app/outputs/flutter-apk/app-release.apk
    rm:
      - .github
      - assets_raw
      - flatpak
      - installers
      - ios
      - linux
      - macos
      - packages/onyxsdk_pen
      - snap
      - web
      - windows
    prebuild:
      - ./patches/remove_proprietary_dependencies.sh
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter pub get
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
      - submodules/flutter/bin/cache
    scandelete:
      - submodules/flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter build apk  -t lib/main_fdroid.dart
    antifeatures:
      - NonFreeNet

  - versionName: 0.9.1
    versionCode: 9010
    commit: cb9f50f01b135d3cb73aacd52aa1e9b9399c0b90
    submodules: true
    output: build/app/outputs/flutter-apk/app-release.apk
    rm:
      - .github
      - assets_raw
      - flatpak
      - installers
      - ios
      - linux
      - macos
      - packages/onyxsdk_pen
      - snap
      - windows
    prebuild:
      - ./patches/remove_proprietary_dependencies.sh
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter pub get
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
      - submodules/flutter/bin/cache
    scandelete:
      - submodules/flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter build apk -t lib/main_fdroid.dart
    antifeatures:
      - NonFreeNet

  - versionName: 0.9.2
    versionCode: 9020
    commit: cac4ebe193d09ad0c725031ecfab532d9aad8d95
    submodules: true
    output: build/app/outputs/flutter-apk/app-release.apk
    rm:
      - .github
      - assets_raw
      - flatpak
      - installers
      - ios
      - linux
      - macos
      - packages/onyxsdk_pen
      - snap
      - windows
    prebuild:
      - ./patches/remove_proprietary_dependencies.sh
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter pub get
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
      - submodules/flutter/bin/cache
    scandelete:
      - submodules/flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter build apk -t lib/main_fdroid.dart
    antifeatures:
      - NonFreeNet

  - versionName: 0.9.3
    versionCode: 9030
    commit: 625e20c58577e3b7f709841e04643672add60ed7
    submodules: true
    output: build/app/outputs/flutter-apk/app-release.apk
    rm:
      - .github
      - assets_raw
      - flatpak
      - installers
      - ios
      - linux
      - macos
      - packages/onyxsdk_pen
      - snap
      - windows
    prebuild:
      - ./patches/remove_proprietary_dependencies.sh
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter pub get
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
      - submodules/flutter/bin/cache
    scandelete:
      - submodules/flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter build apk -t lib/main_fdroid.dart
    antifeatures:
      - NonFreeNet

  - versionName: 0.9.4
    versionCode: 9040
    commit: 76e28d26e0c15f307ec7b93c6d747482c9b706f4
    submodules: true
    output: build/app/outputs/flutter-apk/app-release.apk
    rm:
      - .github
      - assets_raw
      - flatpak
      - installers
      - ios
      - linux
      - macos
      - packages/onyxsdk_pen
      - snap
      - windows
    prebuild:
      - ./patches/remove_proprietary_dependencies.sh
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter pub get
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
      - submodules/flutter/bin/cache
    scandelete:
      - submodules/flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter build apk -t lib/main_fdroid.dart
    antifeatures:
      - NonFreeNet

  - versionName: 0.9.5
    versionCode: 9050
    commit: 4df07480875c1e11881d622a94598d454e978a32
    submodules: true
    output: build/app/outputs/flutter-apk/app-release.apk
    rm:
      - .github
      - assets_raw
      - flatpak
      - installers
      - ios
      - linux
      - macos
      - packages/onyxsdk_pen
      - snap
      - windows
    prebuild:
      - ./patches/remove_proprietary_dependencies.sh
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter pub get
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
      - submodules/flutter/bin/cache
    scandelete:
      - submodules/flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter build apk -t lib/main_fdroid.dart
    antifeatures:
      - NonFreeNet

  - versionName: 0.9.6
    versionCode: 9060
    commit: da3beebf09e623d42af0c89c09e40e5368a88609
    submodules: true
    output: build/app/outputs/flutter-apk/app-release.apk
    rm:
      - .github
      - assets_raw
      - flatpak
      - installers
      - ios
      - linux
      - macos
      - packages/onyxsdk_pen
      - snap
      - windows
    prebuild:
      - ./patches/remove_proprietary_dependencies.sh
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter pub get
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
      - submodules/flutter/bin/cache
    scandelete:
      - submodules/flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter build apk -t lib/main_fdroid.dart
    antifeatures:
      - NonFreeNet

  - versionName: 0.9.8
    versionCode: 9080
    commit: 39fb756333b19a1e01e0afc886106433f201f034
    submodules: true
    output: build/app/outputs/flutter-apk/app-release.apk
    rm:
      - .github
      - assets_raw
      - flatpak
      - installers
      - ios
      - linux
      - macos
      - packages/onyxsdk_pen
      - snap
      - windows
    prebuild:
      - ./patches/remove_proprietary_dependencies.sh
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter pub get
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
      - submodules/flutter/bin/cache
    scandelete:
      - submodules/flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter build apk -t lib/main_fdroid.dart
    antifeatures:
      - NonFreeNet

  - versionName: 0.9.10
    versionCode: 9100
    commit: eac777a61c5931ff7830db1e46fff52cccee67d3
    submodules: true
    output: build/app/outputs/flutter-apk/app-release.apk
    rm:
      - .github
      - assets_raw
      - flatpak
      - installers
      - ios
      - linux
      - macos
      - packages/onyxsdk_pen
      - snap
      - windows
    prebuild:
      - ./patches/remove_proprietary_dependencies.sh
      - ./patches/remove_request_install_packages_permission.sh
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter pub get
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
      - submodules/flutter/bin/cache
    scandelete:
      - submodules/flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter build apk -t lib/main_fdroid.dart
    antifeatures:
      - NonFreeNet

  - versionName: 0.9.12
    versionCode: 9120
    commit: 85ff6f38fd81a8d830fcd56026255149b81e4e47
    submodules: true
    output: build/app/outputs/flutter-apk/app-release.apk
    rm:
      - .github
      - assets_raw
      - flatpak
      - installers
      - ios
      - linux
      - macos
      - packages/onyxsdk_pen
      - snap
      - windows
    prebuild:
      - ./patches/remove_proprietary_dependencies.sh
      - ./patches/remove_request_install_packages_permission.sh
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter pub get
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
      - submodules/flutter/bin/cache
    scandelete:
      - submodules/flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter build apk -t lib/main_fdroid.dart
    antifeatures:
      - NonFreeNet

  - versionName: 0.10.0
    versionCode: 10000
    commit: 7f27fa5b0eecf5cdcf150e32a4eabb5536137429
    submodules: true
    output: build/app/outputs/flutter-apk/app-release.apk
    rm:
      - .github
      - assets_raw
      - flatpak
      - installers
      - ios
      - linux
      - macos
      - packages/onyxsdk_pen
      - snap
      - windows
    prebuild:
      - ./patches/remove_proprietary_dependencies.sh
      - ./patches/remove_request_install_packages_permission.sh
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter pub get
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
      - submodules/flutter/bin/cache
    scandelete:
      - submodules/flutter
      - .pub-cache
    build:
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter build apk -t lib/main_fdroid.dart
    antifeatures:
      - NonFreeNet

  - versionName: 0.11.3
    versionCode: 11030
    commit: 209781c303a48f37a6275d6dbb9979a782e89e82
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y gcc libc-dev
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - rustup@1.25.2
    rm:
      - .github
      - assets_raw
      - flatpak
      - installers
      - ios
      - linux
      - macos
      - packages/onyxsdk_pen
      - snap
      - windows
    prebuild:
      - ./patches/remove_proprietary_dependencies.sh
      - ./patches/remove_request_install_packages_permission.sh
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter pub get
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
      - submodules/flutter/bin/cache
    scandelete:
      - submodules/flutter
      - .pub-cache
    build:
      - $$rustup$$/rustup-init.sh -y
      - source $HOME/.cargo/env
      - export ANDROID_NDK_ROOT=$$NDK$$
      - rustup target add armv7-linux-androideabi
      - rustup target add aarch64-linux-android
      - rustup target add x86_64-linux-android
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter build apk -t lib/main_fdroid.dart
    ndk: r25c
    antifeatures:
      - NonFreeNet

  - versionName: 0.12.0
    versionCode: 12010
    commit: 1f6d3bc384f522fa978486d138630316488f5afd
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y gcc libc-dev
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - rustup@1.25.2
    rm:
      - .github
      - assets_raw
      - flatpak
      - installers
      - ios
      - linux
      - macos
      - packages/onyxsdk_pen
      - snap
      - windows
    prebuild:
      - ./patches/remove_proprietary_dependencies.sh
      - ./patches/remove_request_install_packages_permission.sh
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter pub get
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
      - submodules/flutter/bin/cache
    scandelete:
      - submodules/flutter
      - .pub-cache
    build:
      - $$rustup$$/rustup-init.sh -y
      - source $HOME/.cargo/env
      - export ANDROID_NDK_ROOT=$$NDK$$
      - rustup target add armv7-linux-androideabi
      - rustup target add aarch64-linux-android
      - rustup target add x86_64-linux-android
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter build apk -t lib/main_fdroid.dart
    ndk: 25.2.9519653

  - versionName: 0.12.3
    versionCode: 12031
    commit: 55eaecb4d9e74d0b1682cad48be3087dcbc90211
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y gcc libc-dev
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - rustup@1.25.2
    rm:
      - .github
      - assets_raw
      - flatpak
      - installers
      - ios
      - linux
      - macos
      - packages/onyxsdk_pen
      - snap
      - windows
    prebuild:
      - ./patches/remove_proprietary_dependencies.sh
      - ./patches/remove_request_install_packages_permission.sh
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter pub get
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
      - submodules/flutter/bin/cache
    scandelete:
      - submodules/flutter
      - .pub-cache
    build:
      - $$rustup$$/rustup-init.sh -y
      - source $HOME/.cargo/env
      - export ANDROID_NDK_ROOT=$$NDK$$
      - rustup target add armv7-linux-androideabi
      - rustup target add aarch64-linux-android
      - rustup target add x86_64-linux-android
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter build apk -t lib/main_fdroid.dart
    ndk: 25.2.9519653

  - versionName: 0.12.4
    versionCode: 12040
    commit: 8d31c442c0f302af810ef257cab3b36958347dcf
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y gcc libc-dev
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - rustup@1.25.2
    rm:
      - .github
      - assets_raw
      - flatpak
      - installers
      - ios
      - linux
      - macos
      - packages/onyxsdk_pen
      - snap
      - windows
    prebuild:
      - ./patches/remove_proprietary_dependencies.sh
      - ./patches/remove_request_install_packages_permission.sh
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter pub get
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
      - submodules/flutter/bin/cache
    scandelete:
      - submodules/flutter
      - .pub-cache
    build:
      - $$rustup$$/rustup-init.sh -y
      - source $HOME/.cargo/env
      - export ANDROID_NDK_ROOT=$$NDK$$
      - rustup target add armv7-linux-androideabi
      - rustup target add aarch64-linux-android
      - rustup target add x86_64-linux-android
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter build apk -t lib/main_fdroid.dart
    ndk: 25.2.9519653

  - versionName: 0.12.5
    versionCode: 12050
    commit: f80f60324420b024b65930191924fd158d45929e
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y gcc libc-dev
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - rustup@1.25.2
    rm:
      - .github
      - assets_raw
      - flatpak
      - installers
      - ios
      - linux
      - macos
      - packages/onyxsdk_pen
      - snap
      - windows
    prebuild:
      - ./patches/remove_proprietary_dependencies.sh
      - ./patches/remove_request_install_packages_permission.sh
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter pub get
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
      - submodules/flutter/bin/cache
    scandelete:
      - submodules/flutter
      - .pub-cache
    build:
      - $$rustup$$/rustup-init.sh -y
      - source $HOME/.cargo/env
      - export ANDROID_NDK_ROOT=$$NDK$$
      - rustup target add armv7-linux-androideabi
      - rustup target add aarch64-linux-android
      - rustup target add x86_64-linux-android
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter build apk -t lib/main_fdroid.dart
    ndk: 25.2.9519653

  - versionName: 0.12.6
    versionCode: 12060
    commit: 674ce1c4e04db4a5d8db6489d8c3804568668792
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y gcc libc-dev
    output: build/app/outputs/flutter-apk/app-release.apk
    srclibs:
      - rustup@1.25.2
    rm:
      - .github
      - assets_raw
      - flatpak
      - installers
      - ios
      - linux
      - macos
      - packages/onyxsdk_pen
      - snap
      - windows
    prebuild:
      - ./patches/remove_proprietary_dependencies.sh
      - ./patches/remove_request_install_packages_permission.sh
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter pub get
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
      - submodules/flutter/bin/cache
    scandelete:
      - submodules/flutter
      - .pub-cache
    build:
      - $$rustup$$/rustup-init.sh -y
      - source $HOME/.cargo/env
      - export ANDROID_NDK_ROOT=$$NDK$$
      - rustup target add armv7-linux-androideabi
      - rustup target add aarch64-linux-android
      - rustup target add x86_64-linux-android
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter build apk -t lib/main_fdroid.dart
    ndk: 25.2.9519653

  - versionName: 0.12.6
    versionCode: 120611
    commit: b4e7ffbc025c5a38091d5d20c224429b7cdd52d2
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y gcc libc-dev
    output: build/app/outputs/flutter-apk/app-armeabi-v7a-release.apk
    srclibs:
      - rustup@1.25.2
    rm:
      - .github
      - assets_raw
      - flatpak
      - installers
      - ios
      - linux
      - macos
      - packages/onyxsdk_pen
      - snap
      - windows
    prebuild:
      - ./patches/remove_proprietary_dependencies.sh
      - ./patches/remove_request_install_packages_permission.sh
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter pub get
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
      - submodules/flutter/bin/cache
    scandelete:
      - submodules/flutter
      - .pub-cache
    build:
      - $$rustup$$/rustup-init.sh -y
      - source $HOME/.cargo/env
      - export ANDROID_NDK_ROOT=$$NDK$$
      - rustup target add armv7-linux-androideabi
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter build apk -t lib/main_fdroid.dart --split-per-abi
        --target-platform="android-arm"
    ndk: 25.2.9519653

  - versionName: 0.12.6
    versionCode: 120612
    commit: b4e7ffbc025c5a38091d5d20c224429b7cdd52d2
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y gcc libc-dev
    output: build/app/outputs/flutter-apk/app-arm64-v8a-release.apk
    srclibs:
      - rustup@1.25.2
    rm:
      - .github
      - assets_raw
      - flatpak
      - installers
      - ios
      - linux
      - macos
      - packages/onyxsdk_pen
      - snap
      - windows
    prebuild:
      - ./patches/remove_proprietary_dependencies.sh
      - ./patches/remove_request_install_packages_permission.sh
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter pub get
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
      - submodules/flutter/bin/cache
    scandelete:
      - submodules/flutter
      - .pub-cache
    build:
      - $$rustup$$/rustup-init.sh -y
      - source $HOME/.cargo/env
      - export ANDROID_NDK_ROOT=$$NDK$$
      - rustup target add aarch64-linux-android
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter build apk -t lib/main_fdroid.dart --split-per-abi
        --target-platform="android-arm64"
    ndk: 25.2.9519653

  - versionName: 0.12.6
    versionCode: 120613
    commit: b4e7ffbc025c5a38091d5d20c224429b7cdd52d2
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y gcc libc-dev
    output: build/app/outputs/flutter-apk/app-x86_64-release.apk
    srclibs:
      - rustup@1.25.2
    rm:
      - .github
      - assets_raw
      - flatpak
      - installers
      - ios
      - linux
      - macos
      - packages/onyxsdk_pen
      - snap
      - windows
    prebuild:
      - ./patches/remove_proprietary_dependencies.sh
      - ./patches/remove_request_install_packages_permission.sh
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter pub get
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
      - submodules/flutter/bin/cache
    scandelete:
      - submodules/flutter
      - .pub-cache
    build:
      - $$rustup$$/rustup-init.sh -y
      - source $HOME/.cargo/env
      - export ANDROID_NDK_ROOT=$$NDK$$
      - rustup target add x86_64-linux-android
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter build apk -t lib/main_fdroid.dart --split-per-abi
        --target-platform="android-x64"
    ndk: 25.2.9519653

  - versionName: 0.12.7
    versionCode: 120701
    commit: b8cf42170c7dc0ce69ff327a6e28fe7b67dcbef5
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y gcc libc-dev
    output: build/app/outputs/flutter-apk/app-armeabi-v7a-release.apk
    srclibs:
      - rustup@1.25.2
    rm:
      - .github
      - assets_raw
      - flatpak
      - installers
      - ios
      - linux
      - macos
      - packages/onyxsdk_pen
      - snap
      - windows
    prebuild:
      - ./patches/remove_proprietary_dependencies.sh
      - ./patches/remove_request_install_packages_permission.sh
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter pub get
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
      - submodules/flutter/bin/cache
    scandelete:
      - submodules/flutter
      - .pub-cache
    build:
      - $$rustup$$/rustup-init.sh -y
      - source $HOME/.cargo/env
      - export ANDROID_NDK_ROOT=$$NDK$$
      - rustup target add armv7-linux-androideabi
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter build apk -t lib/main_fdroid.dart --split-per-abi
        --target-platform="android-arm"
    ndk: 25.2.9519653

  - versionName: 0.12.7
    versionCode: 120702
    commit: b8cf42170c7dc0ce69ff327a6e28fe7b67dcbef5
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y gcc libc-dev
    output: build/app/outputs/flutter-apk/app-arm64-v8a-release.apk
    srclibs:
      - rustup@1.25.2
    rm:
      - .github
      - assets_raw
      - flatpak
      - installers
      - ios
      - linux
      - macos
      - packages/onyxsdk_pen
      - snap
      - windows
    prebuild:
      - ./patches/remove_proprietary_dependencies.sh
      - ./patches/remove_request_install_packages_permission.sh
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter pub get
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
      - submodules/flutter/bin/cache
    scandelete:
      - submodules/flutter
      - .pub-cache
    build:
      - $$rustup$$/rustup-init.sh -y
      - source $HOME/.cargo/env
      - export ANDROID_NDK_ROOT=$$NDK$$
      - rustup target add aarch64-linux-android
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter build apk -t lib/main_fdroid.dart --split-per-abi
        --target-platform="android-arm64"
    ndk: 25.2.9519653

  - versionName: 0.12.7
    versionCode: 120703
    commit: b8cf42170c7dc0ce69ff327a6e28fe7b67dcbef5
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y gcc libc-dev
    output: build/app/outputs/flutter-apk/app-x86_64-release.apk
    srclibs:
      - rustup@1.25.2
    rm:
      - .github
      - assets_raw
      - flatpak
      - installers
      - ios
      - linux
      - macos
      - packages/onyxsdk_pen
      - snap
      - windows
    prebuild:
      - ./patches/remove_proprietary_dependencies.sh
      - ./patches/remove_request_install_packages_permission.sh
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter config --no-analytics
      - submodules/flutter/bin/flutter pub get
    scanignore:
      - submodules/flutter/packages/flutter_tools/gradle/flutter.gradle
      - submodules/flutter/bin/cache
    scandelete:
      - submodules/flutter
      - .pub-cache
    build:
      - $$rustup$$/rustup-init.sh -y
      - source $HOME/.cargo/env
      - export ANDROID_NDK_ROOT=$$NDK$$
      - rustup target add x86_64-linux-android
      - export PUB_CACHE=$(pwd)/.pub-cache
      - submodules/flutter/bin/flutter build apk -t lib/main_fdroid.dart --split-per-abi
        --target-platform="android-x64"
    ndk: 25.2.9519653

AutoUpdateMode: Version
UpdateCheckMode: Tags
VercodeOperation:
  - '%c * 10 + 1'
  - '%c * 10 + 2'
  - '%c * 10 + 3'
UpdateCheckData: pubspec.yaml|version:\s.+\+(\d+)|.|version:\s(.+)\+
CurrentVersion: 0.12.7
CurrentVersionCode: 120703
